# Generated by Django 4.2.12 on 2024-06-25 08:50

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="AuthConfiguration",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "password",
                    models.CharField(
                        default="dummy",
                        max_length=255,
                        verbose_name="Mot de passe pour devenir fanfaron",
                    ),
                ),
            ],
            options={
                "verbose_name": "Paramètres d'authentification",
            },
        ),
        migrations.CreateModel(
            name="Instrument",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=50, unique=True, verbose_name="Nom de l'instrument"
                    ),
                ),
                (
                    "is_main",
                    models.BooleanField(
                        default=False,
                        help_text="Instrument qui sera montré lors de l'inscription sur le site",
                        verbose_name="Instrument important",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Profile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True,
                        default="",
                        help_text="seulement visible par les chef·fe·s",
                        max_length=20,
                        verbose_name="Numéro de téléphone",
                    ),
                ),
                (
                    "polls_pseudo",
                    models.CharField(
                        help_text="Le pseudo qui s'affichera pour tes réponses aux sondages",
                        max_length=30,
                        unique=True,
                        verbose_name="Pseudo pour les sondages",
                    ),
                ),
                (
                    "instruments",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Appuyez sur ctrl pour en sélectionner plusieurs",
                        to="ernestoprofile.instrument",
                        verbose_name="Instruments joués",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="profile",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Ernestoprofil",
                "verbose_name_plural": "Ernestoprofils",
            },
        ),
    ]
