{
  lib,
  buildPythonPackage,
  fetchPypi,
  setuptools,
  wheel,
}:

buildPythonPackage rec {
  pname = "django-sass-processor-dart-sass";
  version = "0.1.0";
  pyproject = true;

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-7IvMMIJ4NoMQQKvzsgPk4FesbNfPvRXqb86Gnx3OJos=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  pythonImportsCheck = [ "sass" ];

  meta = with lib; {
    description = "A drop-in replacement for sass for use with django-sass-processor that uses dart sass rather than libsass";
    homepage = "https://pypi.org/project/django-sass-processor-dart-sass";
    license = licenses.mit;
    maintainers = with maintainers; [ thubrecht ];
  };
}
