{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  django,
}:

buildPythonPackage rec {
  pname = "django-solo";
  version = "2.4.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "lazybird";
    repo = "django-solo";
    rev = version;
    hash = "sha256-eZ8xR/h+wUuZyLFwfqgszrlVyYJk4pVml3AJF491rj0=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  dependencies = [ django ];

  pythonImportsCheck = [ "solo" ];

  meta = with lib; {
    description = "Helps working with singletons - things like global settings that you want to edit from the admin site";
    homepage = "https://github.com/lazybird/django-solo";
    changelog = "https://github.com/lazybird/django-solo/blob/${src.rev}/CHANGES";
    license = licenses.cc-by-30;
    maintainers = with maintainers; [ ];
  };
}
